> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> This API updates user information in the **Customer Info** pane.<br><br>The request body parameters either add new information or override existing details. Field names must match the **Unique Name** column in the **Custom Fields** module (case-sensitive).<br>Custom fields added in the Custom Fields module are included in the **Content** field (capital "C") of the API request. (See example.)<br><br> Once successful, this API returns the User ID.   

## OpenAPI

````json POST /users/{USER_ID}
{
  "openapi": "3.0.3",
  "info": {
    "title": "CommBox API",
    "x-logo": {
      "url": "https://www.commbox.io/logo/commbox_logo_large.png"
    },
    "version": "2.07",
    "termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
    "contact": {
      "name": "commbox",
      "url": "https://www.commbox.io",
      "email": "contactus@commbox.io"
    }
  },
  "servers": [
    {
      "url": "https://api.commbox.io/",
      "description": "Production server"
    }
  ],
  "paths": {
    "/users/{USER_ID}": {
      "post": {
        "tags": [
          "Users"
        ],
        "summary": "Update User",
        "description": "This API updates user information in the **Customer Info** pane.<br><br>The request body parameters either add new information or override existing details. Field names must match the **Unique Name** column in the **Custom Fields** module (case-sensitive).<br>Custom fields added in the Custom Fields module are included in the **Content** field (capital \"C\") of the API request. (See example.)<br><br> Once successful, this API returns the User ID.   ",
        "operationId": "Update_User",
        "parameters": [
          {
            "name": "USER_ID",
            "in": "path",
            "description": "User ID. This is a commbox generated number",
            "required": true,
            "schema": {
              "$ref": "#/components/parameters/USER_ID/schema"
            }
          }
        ],
        "requestBody": {
          "description": "Optional description for new mail object in  *Markdown*",
          "required": false,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/User_Info"
              },
              "example": {
                "data": {
                  "UniqueId": "0123456789",
                  "FirstName": "John",
                  "LastName": "Doe",
                  "Phone1": "19175555555",
                  "Email": "JohnDoe@gmail.com",
                  "Remarks": "Some remarks about the customer",
                  "Content": {
                    "Birth_Date": "01-01-1983",
                    "VIP_Status": "8"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": 200
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation successful"
                    },
                    "response_time": {
                      "type": "string",
                      "example": "2024-08-06T07:51:52.2581942Z"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "Id": {
                          "type": "integer",
                          "example": 94382332
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - The request could not be understood by the server. Incoming parameters might not be valid",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400
                    },
                    "description": {
                      "type": "string",
                      "example": "Bad Request"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - The supplied credentials, if any, are not sufficient to access the resource",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 401
                    },
                    "description": {
                      "type": "string",
                      "example": "Unauthorized access"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found - The requested resource is not found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 404
                    },
                    "description": {
                      "type": "string",
                      "example": "Not found"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests - Too many requests have been made in a short period of time (Throttling)",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 429
                    },
                    "description": {
                      "type": "string",
                      "example": "Too Many Requests"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error - The server could not return the representation due to an internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 500
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation failed"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                },
                "example": {
                  "status": 500,
                  "description": "Operation failed",
                  "response_time": "2025-04-15T07:24:52.956691Z"
                }
              }
            }
          },
          "501": {
            "description": "Not Implemented - The requested operation is not supported"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "User_Info": {
        "type": "object",
        "properties": {
          "UniqueId": {
            "type": "string",
            "format": "50",
            "description": "User’s unique identifier. This can be an email, social security number or any other type of unique string determined by the brand administrators"
          },
          "FirstName": {
            "type": "string",
            "format": "100",
            "description": "User’s first name"
          },
          "LastName": {
            "type": "string",
            "format": "100",
            "description": "User’s last name"
          },
          "Email": {
            "type": "string",
            "format": "255",
            "description": "User's Email."
          },
          "Phone1": {
            "type": "string",
            "format": "100",
            "description": "User’s main phone number"
          },
          "Phone2": {
            "type": "string",
            "format": "100",
            "description": "User’s secondary phone number"
          },
          "Remarks": {
            "type": "string",
            "description": "Free text containing general remarks about the user"
          },
          "Content": {
            "type": "object",
            "properties": {
              "BirthDate": {
                "type": "string",
                "description": "This is an example of Custom Field"
              },
              "VipStatus": {
                "type": "string",
                "description": "This is an example of Custom Field"
              }
            }
          }
        }
      }
    }
  }
}
````

